#include "blocks.h"
typedef struct
{
  unsigned fft_size;
  unsigned log_dual_sz;
  short br_ind[FFTSZ/2];
  short sine_coeffs[2*FFTSZ];
  
} fft16Params;


void fft_init( fft16Params*,unsigned fft_size);
void fft( fft16Params*, short buf[]);
void ifft( fft16Params*, short buf[]);
void hamming_window( short*, unsigned short);
